import { listen } from "./listener"
import { run_file } from "./runner"
import { send } from "./sender"

const help_text = await Bun.file("./help.txt").text()

export async function main() {
  const cmd = Bun.argv[2]
  switch (cmd) {
    case "listen": { return listen() }
    case "send": { return send() }
    case "run": { return run_file(Bun.argv[3]) }
    case "help": { return console.log(help_text) }
    case "version": { return console.log("0.1.0") }
    default: console.log("Usage: ludus {help | version | run | listen | send}")
  }
}

await main()
